### Virtual Method

# Ide SessionAddin restore_page_finish

#### Declaration

    IdePage*
    restore_page_finish (
      IdeSessionAddin* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to restore a page’s session state.

Available since: | 41

#### Parameters

`result` | `GAsyncResult`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdePage`
| The created page for the saved state, or `NULL` if an error prevented from restoring the page.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.